From e058a775a939b75b0ab6065ac5e3d804ed5f4bfe Mon Sep 17 00:00:00 2001
From: Artyom Bystrov <arbars@altlinux.org>
Date: Tue, 6 Dec 2022 13:05:40 +0300
Subject: [PATCH] change lua to lua-5.3

---
 awesome/CMakeLists.txt             | 2 +-
 awesome/awesomeConfig.cmake        | 8 ++++----
 awesome/docs/06-appearance.md.lua  | 2 +-
 awesome/docs/build_rules_index.lua | 2 +-
 4 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/awesome/CMakeLists.txt b/awesome/CMakeLists.txt
index 9d3d3b4..087c33c 100644
--- a/awesome/CMakeLists.txt
+++ b/awesome/CMakeLists.txt
@@ -419,7 +419,7 @@ add_custom_target(check-themes
 add_dependencies(check check-themes)
 
 add_custom_target(check-requires
-    lua "${CMAKE_SOURCE_DIR}/build-utils/check_for_invalid_requires.lua"
+    lua-5.3 "${CMAKE_SOURCE_DIR}/build-utils/check_for_invalid_requires.lua"
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     COMMENT "Checking use of require()"
     USES_TERMINAL
diff --git a/awesome/awesomeConfig.cmake b/awesome/awesomeConfig.cmake
index 79eae7e..7352f54 100644
--- a/awesome/awesomeConfig.cmake
+++ b/awesome/awesomeConfig.cmake
@@ -365,7 +365,7 @@ add_custom_command(TARGET setup_directories
 
 add_custom_command(
         OUTPUT ${BUILD_DIR}/docs/06-appearance.md
-        COMMAND lua ${SOURCE_DIR}/docs/06-appearance.md.lua
+        COMMAND lua-5.3 ${SOURCE_DIR}/docs/06-appearance.md.lua
         ${BUILD_DIR}/docs/06-appearance.md
         DEPENDS
             lgi-check-run
@@ -375,7 +375,7 @@ add_custom_command(
 
 add_custom_command(
         OUTPUT ${BUILD_DIR}/docs/common/rules_index.ldoc
-        COMMAND lua ${SOURCE_DIR}/docs/build_rules_index.lua
+        COMMAND lua-5.3 ${SOURCE_DIR}/docs/build_rules_index.lua
             ${BUILD_DIR}/docs/common/rules_index.ldoc
 
         # Cheap trick until the ldoc `configure_file` is ported to be a build
@@ -392,7 +392,7 @@ add_custom_command(
 add_custom_command(
         OUTPUT ${BUILD_DIR}/awesomerc.lua ${BUILD_DIR}/docs/05-awesomerc.md
             ${BUILD_DIR}/script_files/rc.lua
-        COMMAND lua ${SOURCE_DIR}/docs/05-awesomerc.md.lua
+        COMMAND lua-5.3 ${SOURCE_DIR}/docs/05-awesomerc.md.lua
         ${BUILD_DIR}/docs/05-awesomerc.md ${SOURCE_DIR}/awesomerc.lua
         ${BUILD_DIR}/awesomerc.lua
         ${BUILD_DIR}/script_files/rc.lua
@@ -401,7 +401,7 @@ add_custom_command(
 
 add_custom_command(
         OUTPUT ${BUILD_DIR}/script_files/theme.lua
-        COMMAND lua ${SOURCE_DIR}/docs/sample_theme.lua ${BUILD_DIR}/script_files/
+        COMMAND lua-5.3 ${SOURCE_DIR}/docs/sample_theme.lua ${BUILD_DIR}/script_files/
 )
 
 # Create a target for the auto-generated awesomerc.lua and other files
diff --git a/awesome/docs/06-appearance.md.lua b/awesome/docs/06-appearance.md.lua
index cfb583b..fbb6701 100644
--- a/awesome/docs/06-appearance.md.lua
+++ b/awesome/docs/06-appearance.md.lua
@@ -1,4 +1,4 @@
-#! /usr/bin/lua
+#! /usr/bin/lua-5.3
 local args = {...}
 local parser = require("docs._parser")
 
diff --git a/awesome/docs/build_rules_index.lua b/awesome/docs/build_rules_index.lua
index 1e9341c..84013cf 100644
--- a/awesome/docs/build_rules_index.lua
+++ b/awesome/docs/build_rules_index.lua
@@ -1,4 +1,4 @@
-#! /usr/bin/lua
+#! /usr/bin/lua-5.3
 local args = {...}
 local parser = require("docs._parser")
 
-- 
2.33.5

